#! /bin/bash

set -e

VERSION="0.5.18"

source ./pika-build-config.sh

echo "$PIKA_BUILD_ARCH" > pika-build-arch

# Clone Upstream
git clone --recurse-submodules https://github.com/lutris/lutris.git -b v"$VERSION"
#git clone --recurse-submodules https://github.com/lutris/lutris.git
cp -rvf ./debian ./lutris/
cd ./lutris

# Get build deps
apt-get build-dep ./ -y

# Build package
LOGNAME=root dh_make --createorig -y -l -p lutris_"$VERSION" || echo "dh-make: Ignoring Last Error"
dpkg-buildpackage --no-sign

# Move the debs to output
cd ../
mkdir -p ./output
mv ./*.deb ./output/
